<resources xmlns:tools="http://schemas.android.com/tools">

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.DarkActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="AppTheme.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="AppTheme.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="android:windowBackground">@color/colorBackground</item>
    </style>

    <style name="ChatStyle" parent="Theme.AppCompat.NoActionBar">
        <item name="android:windowBackground">@color/colorBackground</item>
    </style>

    <style name="AppTheme.FullBackground" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="android:windowTranslucentStatus" tools:targetApi="kitkat">true</item>
        <item name="android:windowBackground">@drawable/one_size_fits_all_2</item>
    </style>

    <!-- Login style -->
    <style name="AppTheme.EditText" parent="Base.V7.Widget.AppCompat.EditText">
        <item name="android:padding">@dimen/activity_horizontal_margin</item>
        <item name="android:layout_height">@dimen/regular_height</item>
        <item name="android:textColorHint">@color/colorHint</item>
        <item name="android:textAppearance">?android:attr/textAppearanceSmall</item>
    </style>

    <!-- Button style -->
    <style name="AppTheme.Button" parent="Base.TextAppearance.AppCompat.Button">
        <item name="android:textColor">@color/colorWhite</item>
        <item name="android:background">@drawable/btn_shape_round</item>
        <item name="android:gravity">center</item>
        <item name="android:layout_height">@dimen/regular_height</item>
    </style>

    <!-- Checkbox style -->
    <style name="AppTheme.CheckBox.Text" parent="android:style/TextAppearance.Widget.TextView">
        <item name="android:textColor">@color/colorWhite</item>
        <item name="android:textAppearance">?android:attr/textAppearanceSmall</item>
    </style>

    <!-- Profile style -->
    <style name="AppTheme.Profile.Button" parent="AppTheme.Button">
        <item name="android:textSize">@dimen/profile_avatar_change_text</item>
        <item name="android:background">@drawable/btn_shape</item>
        <item name="android:layout_height">@dimen/profile_avatar_change_height</item>
    </style>

    <style name="AppTheme.ProfileName">
        <item name="android:textSize">@dimen/profile_name_text</item>
        <item name="android:textStyle">bold</item>
        <item name="android:gravity">center_horizontal</item>
    </style>

    <style name="AppTheme.ProfilePhoneNumber">
        <item name="android:textSize">@dimen/profile_phone_number_text</item>
        <item name="android:theme">@style/GreyLineEditTextTheme</item>
        <item name="android:maxLines">1</item>
        <item name="android:inputType">phone</item>
        <item name="android:imeOptions">actionNext</item>
    </style>

    <style name="GreyLineEditTextTheme">
        <item name="colorControlNormal">@color/colorImpressum</item>
        <item name="colorControlActivated">@color/colorImpressum</item>
        <item name="colorControlHighlight">@color/colorImpressum</item>
    </style>

    <!-- List title style -->
    <style name="AppTheme.ListTitle">
        <item name="android:textSize">@dimen/item_contact_title_text_size</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/colorBlack</item>
    </style>

    <style name="AppTheme.ListSubtitle">
        <item name="android:textSize">@dimen/item_contact_subtitle_text_size</item>
        <item name="android:textColor">@color/colorSubtitle</item>
        <item name="android:maxLines">1</item>
    </style>

    <style name="AppTheme.ListSubtitle.Small" parent="AppTheme.ListSubtitle">
        <item name="android:textSize">@dimen/item_contact_subtitle_text_size_small</item>
    </style>

    <style name="StyledDialog" parent="Theme.AppCompat.Light.Dialog.Alert" />

    <!-- Chat -->
    <style name="BaseChatItemText">
        <item name="android:textSize">14sp</item>
        <item name="android:autoLink">all</item>
        <item name="android:textColorLink">#666666</item>
    </style>

    <style name="RightChatItemRelativeLayout">
        <item name="android:background">@drawable/chat_right_v2</item>
    </style>

    <style name="LeftChatItemRelativeLayout">
        <item name="android:background">@drawable/chat_left_v2</item>
    </style>

    <!-- File Picker -->
    <style name="PickerTabLayout" parent="Widget.Design.TabLayout">
        <item name="tabGravity">fill</item>
        <item name="tabMaxWidth">0dp</item>
    </style>

    <style name="Dialog" parent="android:style/Theme.Dialog">
        <item name="android:windowBackground">@color/transparent</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsFloating">true</item>
    </style>

    <!-- SearchView -->
    <style name="AppTheme.Toolbar" parent="AppTheme">
        <!--This line changes the color of text in Toolbar-->
        <item name="android:textColorPrimary">@color/colorBlack</item>
        <!--This line changes the color of icons in toolbar (back, overflow menu icons)-->
        <item name="android:textColorSecondary">@color/colorBlack</item>
        <item name="colorAccent">@color/colorBlack</item>
    </style>

</resources>
